build:
    nodes:
        analysis:
            environment:
                php:
                    version: 7.1
            cache:
                disabled: false
                directories:
                    - ~/.composer/cache

            project_setup:
                override: true
            tests:
                override:
                    - php-scrutinizer-run

before_commands:
    - "composer install --no-dev --prefer-source -a"

tools:
    external_code_coverage:
        timeout: 3600
        runs: 30 # 25x Travis (jobs with COVERAGE=yes) + 3x AppVeyor (jobs with coverage=yes) + 2x ContinuousPHP

filter:
    excluded_paths:
        - docs

build_failure_conditions:
    - 'elements.rating(<= C).new.exists'                        # No new classes/methods with a rating of C or worse allowed
    - 'issues.severity(>= MAJOR).new.exists'                    # New issues of major or higher severity
    - 'project.metric_change("scrutinizer.test_coverage", < 0)' # Code Coverage decreased from previous inspection
    - 'patches.label("Unused Use Statements").new.exists'       # No new unused imports patches allowed
